## NAME

r.topmodel - simulates TOPMODEL which is physically based hydrologic model
(GRASS Raster Program)

## SYNOPSIS

r.topmodel [-iow] [elevation=name] [basin=name] [depressionless=name] [direction=name] [belevation=name] [topidx=name] [nidxclass=value] idxstats=name parameters=name input=name output=name [Qobs=name] [timestep=value] [idxclass=value]

### Flags:

-i
  Input data given for (i/o). Without this flag, all input data, (i) or (i/o), should be given and intermediate output can not be input for run.

  In example, [belevation] map will be created from [elevation] and [basin] every run. However, every [belevation] output map is the same and this is useless process if [belevation] map is already given.

  With this flag, intermediate output can be input for run. (i/o) parameters can be affected by this flag.
-o
  Overwrite outputs
-w
  Wide output. No limit for 80 columns output

### Parameters:

Note: (i) means input; (o) means output; (i/o) means input or output

elevation
  (i) Rectangular elevation map
basin
  (i) Basin map created by r.water.outlet
depressionless
  (o) Depressionless elevation map
  This can be omitted if [elevation] map is already depressionless map. If this is given, [depressionless] map will be used as [elevation] map.
direction
  (o) Direction map with depressionless elevation map
belevation
  (i/o) Basin elevation map (extracted). Study basin extracted elevation map
topidx
  (i/o) Topographic index ln(a/tanB) map (extracted). Study basin extracted topographic index map
nidxclass
  (i) Number of topographic index classes
  Default: 30
idxstats
  (i/o) Topographic index statistics file
parameters
  (i) TOPMODEL parameters file
input
  (i) Rainfall and potential evapotranspiration data file
output
  (o) Output file
Qobs
  Observed Q file. Compare Qt with Qobs and calculate model efficiency
timestep
  OPTIONAL output for given time step
idxclass
  OPTIONAL output for given topographic index class

## SEE ALSO

r.topidx

## AUTHORS

Main algorithm sources are rewritten from TMOD9502.FOR.
TMOD9502.FOR is available from www.es.lancs.ac.uk/hfdg/topmodel.html.
Thanks to Keith Beven.

GRASS port by Huidae Cho
Hydro Laboratory, Kyungpook National University, South Korea

Last changed: $Date: 2002/01/25 05:45:34 $